Subject: [6tisch] chunk in 6top MIB and related commands

From: Qin Wang <[email-masked]>
Date: Wed, 15 Jan 2014 00:36:37 +0800

Hi Pascal and all,

According to the discussion on chunk definition in another thread, the
chunk list in 6top MIB is extracted as follows.

12.       Chunk list. A chunk, identified by ChunkID, has the following
attributes.

Name

type

range

description

ChunkID

Integer

0x0000-0xffff

slotframeID

Integer

0x00-0xff

List of chunk-cell, A chunk cell has the following attributes

CellID

integer

0x0000-0xffff

The CellID will be in the Cell List of the owner of the chunk also, if it
has been appropriated.

slotOffset

integer

0x0000-0xffff

channelOffset

integer

0x0000-0xffff

status

Enumeration

0: Unappropriated

1: Appropriated

The chunk related operations will include two parts of commands:
Part-1, Create/Delete Chunk command (Delegation process). The command can
be called by PCE or in distributed way. The constrain for calling Delete
Chunk should be that all of the cells in the chunk is Unappropriated.

Part-2, Appropriate/Unappropriate cell commands (Appropriation process).
They are similar to Create/Delete hard/soft cell command. The commands will
be called by the node who owns the chunk, behaving like a local center.
When the commands are called, not only Cell List (Table 1) but also Chunk
List (Table 12) will be updated.

What do you think?

Thanks
Qin

---

From: Thomas Watteyne <[email-masked]>
Date: Thu, 16 Jan 2014 19:54:31 -0800

Qin,

Could you explain the need for the cellID attribute? I think of a chunk
just as a list of (slotOffset,channelOffset) tuples grouped under a
chunkID. Do those cells need to appear also in the cell list?

Thomas

On Tue, Jan 14, 2014 at 8:36 AM, Qin Wang <[email-masked]> wrote:

> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

---

From: Qin Wang <[email-masked]>
Date: Mon, 20 Jan 2014 10:07:02 +0800

HI Thomas,

Sorry for replying late.

cellID is the Key attribute in cell list. When a cell (slotOffset,
channelOffset) in a chunk is assigned to neighbor, it will get a cellID and
will appear in the cell list (Table 1). Does it make sense?

Thanks
Qin

---

From: Thomas Watteyne <[email-masked]>
Date: Mon, 20 Jan 2014 22:20:42 -0800

Qin,
While it makes sense to index a (slotOffset,channelOffset) tuple by a
single cellID, I'm afraid it might make things more complicated, as it does
require the cellID to be unique across both the cell list and the chunk
table.
Can you detail what entity (in both distributed and centralized case)
ensures that the cellID is unique?
It *might* make sense to assign a cellID only when a cell appears in the
cell list. Since we don't have to track a cell being reallocated in a chunk
(such concept does not exist), a cell can be uniquely identified in a chunk
by the tuple (slotOffset,channelOffset).
Thomas

On Sun, Jan 19, 2014 at 6:07 PM, Qin Wang <[email-masked]> wrote:

>>> The CellID will be in the Cell List of the owner of the chunk also, if
>>> it has been appropriated.
>>>
>>> slotOffset
>>>
>>> integer
>>>
>>> 0x0000-0xffff
>>>
>>>
>>>
>>> channelOffset
>>>
>>> integer
>>>
>>> 0x0000-0xffff
>>>
>>>
>>>
>>> status
>>>
>>> Enumeration
>>>
>>> 0: Unappropriated
>>>
>>> 1: Appropriated
>>>
>>>
>>>
>>> Part-1, Create/Delete Chunk command (Delegation process). The command
>>> can be called by PCE or in distributed way. The constrain for calling
>>> Delete Chunk should be that all of the cells in the chunk is Unappropriated.
>>>

---

From: Qin Wang <[email-masked]>
Date: Thu, 23 Jan 2014 22:22:15 +0800

Thomas,

According to my understanding, a cell which is scheduled will appear in
cell list no matter it comes from the whole [slotOffset, channelOffset]
matrix, or a part of the matrix, i.e. a chunk. In addition, any cell in the
cell list should have a cellID. Do you agree?

In my mind, the procedure to get the cellID is as follows.
(1) Initially, the cellIDs in a chunk is a value like FFFF, and their
status is "Unappropriated".
(2) When a command like Create.hardcell.fromChunk is called, a cellID will
be generated by 6top, then 6top will add a entry into cell list, and change
the cellID and status attribute corresponding to the cell in the chunk list
at same time.
(3) When a command like Delete.hardcell.fromChunk is called, the cell will
be removed from cell list while the cellID and status corresponding to the
cell will be changed back to the initial value "FFFF" and "Unappropriated",
respectively.

BTW, I am not sure if reallocating cell in a chunk will be needed or not in
the future, because I remember Pascal mentioned this need in another thread
before. Maybe I'm wrong. But, I think unifying the concept of Creating cell
from whole Matrix and from a part of the Matrix will be good.

What do you think?

Qin

On Tue, Jan 21, 2014 at 2:20 PM, Thomas Watteyne <[email-masked]
> wrote:

>>>> 12.       Chunk list. A chunk, identified by ChunkID, has the
>>>> following attributes.
>>>>
>>>> Name
>>>>
>>>> type
>>>>
>>>> range
>>>>
>>>> description
>>>>
>>>> ChunkID
>>>>
>>>> Integer
>>>>
>>>> 0x0000-0xffff
>>>>
>>>>
>>>>
>>>> slotframeID
>>>>
>>>> Integer
>>>>
>>>> 0x00-0xff
>>>>
>>>>
>>>>
>>>> Part-2, Appropriate/Unappropriate cell commands (Appropriation
>>>> process). They are similar to Create/Delete hard/soft cell command. The
>>>> commands will be called by the node who owns the chunk, behaving like a
>>>> local center. When the commands are called, not only Cell List (Table 1)
>>>> but also Chunk List (Table 12) will be updated.
>>>>
>>>> What do you think?
>>>>
>>>> Thanks
>>>> Qin
>>>>
>>>>